@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Zen+Kaku+Gothic+New&display=swap");

:root {
  --accent-color: #a23a2a;
  --accent-rgb: 162, 58, 42;
  --main-bg: #f3efea;
  --secondary-bg: #eae4dc;
  --text-color: #2b2b2b;
  --soft-border: #d8cfc5;
  --white-color: #ffffff;
  --text-light-grey: #535353;
  --black-text: #000000;
  --section-padding: clamp(84px, 10vw, 124px);
  --footer-bg: #3f3533;

  /* font family  */
  --zen-kaku: "Zen Kaku Gothic New", sans-serif;
  --poppins: "Poppins", sans-serif;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scrollbar-width: thin;
  scrollbar-color: var(--accent-color) var(--white-color);
}
body {
  font-size: 1rem;
  font-family: var(--zen-kaku);
  font-weight: 500;
  background-color: var(--main-bg);
}
img {
  width: 100%;
}
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
a {
  text-decoration: none;
  color: inherit;
}
@media (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}
/* Custom scroll bar styles  */
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-track {
  background-color: var(--white-color);
}

::-webkit-scrollbar-thumb {
  background-color: var(--accent-color);
}

::-webkit-scrollbar-thumb:hover {
  background-color: #8c2d2d;
}

@media (min-width: 1500px) {
  .container {
    max-width: 1460px;
  }
}
/* 
===============================
Home page css 
=============================== */

/* NAV BAR CSS  */
header {
  background-color: rgba(255, 255, 255, 0.95);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
  border-bottom-left-radius: 40px;
  border-bottom-right-radius: 40px;
  color: var(--black-text);
}
.navbar-brand {
  font-family: var(--poppins);
  font-size: clamp(1.5rem, 3vw, 2.2rem);
  font-weight: 700;
  display: inline-block;
}

.navbar-nav .nav-link {
  font-weight: 700;
  font-size: clamp(1rem, 1.2vw, 1.05rem);
}

.navbar-nav .nav-link.active {
  color: var(--accent-color);
}
@media (min-width: 1280px) {
  .navbar {
    padding-left: 84px !important;
    padding-right: 84px !important;
  }
}
@media (min-width: 992px) {
  .offcanvas-body .navbar-nav {
    gap: 32px;
  }
}
.navbar-nav .nav-link:hover {
  color: var(--accent-color);
}

.reserve-btn {
  border: 1px solid var(--accent-color);
  padding: 6px 32px !important;
  border-radius: 30px;
  position: relative;
  overflow: hidden;
  color: var(--white-color);
  z-index: 1;
  text-align: center;
}
.reserve-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--accent-color);
  z-index: -1;
  transition: all 0.5s ease-in-out;
  border-radius: 30px;
}

.reserve-btn:hover::before {
  width: 0;
}
.navbar-toggler {
  box-shadow: none !important;
  background-color: var(--accent-color);
  height: 36px;
  width: 36px;
  color: var(--white-color);
  display: flex;
  align-items: center;
  justify-content: center;
}
.offcanvas-header .btn-close {
  box-shadow: none !important;
}
.offcanvas-header button {
  background-image: none;
  background-color: var(--white-color);
  height: 24px;
  width: 24px;
  border-radius: 50%;
  font-size: 1.3rem;
  color: var(--accent-color);
  border: 1px solid var(--accent-color);
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 1;
}

/* HERO SECTION  */
.hero-section-wrapper {
  height: 75vh;
  background: url("../images/hero-img.jpg");
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: clamp(100px, 8vw, 160px);
  border-bottom-left-radius: 50px;
  color: var(--white-color);
  position: relative;
}
.hero-section-wrapper::before {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  content: "";
  background: rgba(0, 0, 0, 0.4);
  border-bottom-left-radius: 50px;
}
.hero-content h1 {
  font-size: clamp(3.5rem, 4vw, 4.5rem);
  font-family: var(--poppins);
  font-weight: 600;
  line-height: 1;
  letter-spacing: 10px;
}
.hero-description {
  font-weight: 600;
  font-size: clamp(1rem, 1.4vw, 1.25rem);
  letter-spacing: 5px;
}
.hero-description span {
  padding-left: 16px;
}

.hiring-tag-link a {
  background-color: var(--white-color);
  padding: clamp(24px, 3vw, 30px);
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  color: var(--text-color);
  position: absolute;
  bottom: 32px;
  right: 0;
  width: 90%;
  max-width: 700px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  border-left: 10px solid var(--accent-color);
  transition: all 0.5s ease-in-out;
}
.hiring-tag-link a:hover {
  background-color: var(--secondary-bg);
}
.hiring-left {
  font-weight: 600;
}
.hiring-left .date {
  color: var(--accent-color);
}
.hiring-left p {
  margin: 0;
}
.hiring-tag-link .arrow-icon {
  height: 30px;
  width: 30px;
  border: 1px solid var(--accent-color);
  color: var(--accent-color);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  font-size: 0.9rem;
  flex-shrink: 0;
}

/* CONCEPT SECTION CSS  */
#concept,
#about,
#menu,
#reservation {
  scroll-margin-top: 80px;
}
.concept-section-wrapper {
  padding: var(--section-padding) 0;
  overflow: hidden;
}
.concept-top-heading {
  font-size: clamp(32px, 4vw, 40px);
  font-weight: 700;
  color: var(--accent-color);
}
.concept-section-wrapper .second-row {
  font-size: clamp(1rem, 2vw, 1.25rem);
  font-weight: 600;
  color: var(--text-color);
  line-height: 44px;
  padding: clamp(32px, 4vw, 44px) 0;
}
.spoon-img {
  width: 90%;
  margin-right: auto;
}
.concept-image-grid .image-wrapper {
  height: 300px;
  width: 100%;
  border-radius: 32px;
  overflow: hidden;
}
.concept-image-grid .image-wrapper img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  transition: all 0.5s ease-in-out;
}
.concept-image-grid .image-wrapper:hover img {
  transform: scale(1.1);
}
/* CONCEPT SECTION CSS  */

/* MENU AND place SHOWCASE SECTION  */
.menu-place-showcase-section-wrapper {
  padding-bottom: var(--section-padding);
}
.menu-place-heading {
  background-color: var(--white-color);
  padding: clamp(36px, 5vw, 72px) clamp(24px, 3vw, 32px);
  border-left: 15px solid var(--accent-color);
}
.menu-place-heading .sub-title {
  font-size: clamp(1.1rem, 2vw, 1.25rem);
  font-weight: 600;
  color: var(--accent-color);
}
.menu-place-heading .max-width {
  max-width: 250px;
}
.menu-place-heading h3 {
  font-size: clamp(2.2rem, 4vw, 4.5rem);
  line-height: 1;
  letter-spacing: 5px;
  font-weight: 600;
  font-family: var(--poppins);
  margin: 0;
  color: var(--text-color);
}
.menu-place-heading .description-text {
  font-size: clamp(0.9rem, 1vw, 1rem);
  font-weight: 600;
  color: var(--text-light-grey);
  line-height: 2;
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .menu-link {
  display: inline-block;
  height: 450px;
  overflow: hidden;
  border-bottom-left-radius: 30px;
  width: 100%;
  position: relative;
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .menu-link::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(to bottom, transparent 60%, rgba(0, 0, 0, 0.7));
  z-index: 1;
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .menu-link img {
  height: 100%;
  object-fit: cover;
  width: 100%;
  transition: all 0.5s ease-in-out;
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .menu-link:hover img {
  transform: scale(1.1);
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .place-link {
  display: inline-block;
  height: 450px;
  overflow: hidden;
  border-bottom-right-radius: 30px;
  width: 100%;
  position: relative;
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .place-link::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(to bottom, transparent 60%, rgba(0, 0, 0, 0.7));
  z-index: 1;
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .place-link img {
  height: 100%;
  object-fit: cover;
  width: 100%;
  transition: all 0.5s ease-in-out;
}
.menu-place-showcase-section-wrapper .menu-link-wrapper .place-link:hover img {
  transform: scale(1.1);
}
.menu-link-wrapper .inner-tag-content {
  position: absolute;
  bottom: 24px;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  width: 100%;
  padding: 0 clamp(1rem, 2vw, 2rem);
  z-index: 2;
  color: var(--white-color);
}
.menu-link-wrapper .inner-tag-content h4 {
  margin: 0;
  font-size: clamp(2rem, 3vw, 3.2rem);
  font-weight: 600;
  font-family: var(--poppins);
  letter-spacing: 5px;
  text-transform: uppercase;
}
.menu-link-wrapper .inner-tag-content p {
  font-size: clamp(1rem, 2vw, 1.25rem);
  margin: 0;
}
.menu-link-wrapper .inner-tag-content .arrow-icon {
  height: 45px;
  width: 45px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid var(--white-color);
  flex-shrink: 0;
}
/* MENU AND place SHOWCASE SECTION  */

/* PLACE DESCRIPTION SECTION  */
.place-description-section-wrapper {
  overflow: hidden;
  padding-bottom: var(--section-padding);
}
.place-description-section-wrapper .place-show-image {
  height: 670px;
  overflow: hidden;
  width: 75%;
  border-top-right-radius: 30px;
  border-bottom-right-radius: 30px;
}
.place-description-section-wrapper .description-div-wrapper .inner-white-bg {
  background-color: var(--white-color);
  padding: clamp(2rem, 4vw, 4rem) clamp(1.25rem, 5vw, 7rem);
  margin-top: -460px;
  position: relative;
  border-right: 15px solid var(--accent-color);
  border-bottom-left-radius: 20px;
  border-top-left-radius: 20px;
  box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
}
.place-description-section-wrapper .place-show-image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.place-description-section-wrapper
  .description-div-wrapper
  .left-content-wrapper {
  padding: 0 clamp(0px, 2vw, 32px);
}
.place-description-section-wrapper
  .description-div-wrapper
  .left-content-wrapper
  h2 {
  font-size: clamp(2rem, 3vw, 2.5rem);
  margin: 0;
  margin-bottom: clamp(24px, 3vw, 44px);
  color: var(--accent-color);
  font-weight: 600;
}
.place-description-section-wrapper
  .description-div-wrapper
  .left-content-wrapper
  h4 {
  font-size: clamp(1.25rem, 2vw, 1.8rem);
  font-weight: 600;
  margin: 0;
  margin-bottom: clamp(24px, 3vw, 44px);
}
.place-description-section-wrapper
  .description-div-wrapper
  .left-content-wrapper
  p,
.place-description-section-wrapper
  .description-div-wrapper
  .left-content-wrapper
  .bottom-text {
  line-height: 2;
  margin: 0;
  margin-bottom: clamp(16px, 3vw, 32px);
  font-weight: 600;
  color: var(--text-light-grey);
  font-size: clamp(0.9rem, 1vw, 1rem);
}
.place-description-section-wrapper
  .description-div-wrapper
  .left-content-wrapper
  .bottom-text
  h5 {
  line-height: 2;
  margin: 0;
  font-weight: 600;
  color: var(--black-text);
  font-size: clamp(1.1rem, 1.2vw, 1.25rem);
}
/* PLACE DESCRIPTION SECTION  */

/* MAP SECTION  */
.map-section-wrapper {
  padding-bottom: var(--section-padding);
}
.map-wrapper {
  margin-top: 32px;
  height: 520px;
  width: 100%;
}
.map-wrapper iframe {
  width: 100%;
  height: 100%;
  border-radius: 20px;
}
.map-heading p {
  font-size: 1.25rem;
  font-weight: 600;
  color: var(--accent-color);
}
.map-heading h4 {
  font-size: clamp(1.5rem, 3vw, 2.5rem);
  font-weight: 500;
  font-family: var(--poppins);
}
.map-detail-wrapper table th,
.map-detail-wrapper table td {
  padding: 1rem;
  text-align: left;
  vertical-align: top;
}
.map-detail-wrapper table th {
  font-size: 1rem;
  font-weight: 600;
}
.map-detail-wrapper table td {
  color: var(--black-text);
}

/* MAP SECTION  */

/* last banner section  */
.last-banner-wrapper {
  padding: clamp(32px, 4vw, 84px);
  background: url("../images/menu/menu3.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 30px;
  margin-bottom: -210px;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: var(--white-color);
}
.last-banner-wrapper::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.6);
}
.last-banner-wrapper h3 {
  font-size: clamp(2.2rem, 3vw, 2.5rem);
  margin: 0;
  margin: 16px 0;
  font-family: var(--poppins);
  font-weight: 600;
}

.reservation-buttons a {
  border: none;
  padding: 16px 24px 16px 24px;
  min-width: 320px;
  border-radius: 10px;
  height: 100%;
  min-height: 100px;
  transition: all 0.5s ease-in-out;
  background-color: var(--white-color);
  color: var(--text-color);
}
.reservation-buttons a:hover {
  background-color: var(--accent-color);
  color: var(--white-color);
}

.reservation-buttons a:first-child span:first-child {
  color: var(--text-light-grey);
  font-weight: 600;
  transition: all 0.5s ease-in-out;
}
.reservation-buttons a:first-child:hover span:first-child {
  color: var(--white-color);
}
.reservation-buttons a:first-child span:last-child {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: clamp(1.25rem, 2vw, 1.5rem);
  font-weight: 600;
  font-family: var(--poppins);
  letter-spacing: 2px;
}
.reservation-buttons a i {
  font-size: 1.7rem;
}
.reservation-buttons a:last-child {
  background-color: #ffe2bd;
  font-weight: 600;
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: center;
  color: var(--text-light-grey);
  font-size: clamp(1rem, 2vw, 1.15rem);
  transition: all 0.5s ease-in-out;
}
.reservation-buttons a:last-child:hover {
  background-color: var(--accent-color);
  color: var(--white-color);
}
/* last banner section  */
/* 
===============================
Home page css ends
=============================== */

/* 
===============================
MENU PAGE CSS
=============================== */
.common-hero-banner-section {
  margin-top: 132px;
}
.common-banner-image {
  height: 320px;
  overflow: hidden;
  border-top-right-radius: 30px;
  border-bottom-right-radius: 30px;
  width: 70%;
  margin-top: clamp(2.5rem, 4vw, 3rem);
}

.common-banner-image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.common-banner-description {
  padding: clamp(2rem, 3.5vw, 3rem) clamp(1rem, 3vw, 2.5rem);
  background-color: var(--white-color);
  max-width: 800px;
  margin-left: auto;
  border-right: 12px solid var(--accent-color);
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  color: var(--text-light-grey);
  margin-top: -160px;
  position: relative;
  margin-bottom: var(--section-padding);
  font-weight: 600;
}
.common-banner-description .inner-content {
  line-height: 2;
  width: 95%;
  margin: auto;
}
.menu-list-section {
  padding-bottom: var(--section-padding);
}
.menu-card {
  width: 100%;
  background-color: var(--white-color);
  border-radius: 10px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  height: 100%;
}
.menu-image {
  height: 260px;
  width: 100%;
  overflow: hidden;
}
.menu-image img {
  height: 100%;
  width: 100%;
  transition: all 0.5s ease-in-out;
  object-fit: cover;
}
.menu-content-wrapper {
  padding: 1rem 1.25rem;
  border-bottom: 4px solid var(--accent-color);
  border-radius: 0px 0px 10px 10px;
  font-weight: 600;
  color: var(--text-light-grey);
  display: flex;
  flex-direction: column;
  flex: 1;
}
.menu-content-wrapper h3 {
  font-size: 1.25rem;
  color: var(--text-color);
  margin: 0;
  transition: all 0.5s ease-in-out;
  font-weight: 700;
}
.menu-content-wrapper p {
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  flex-grow: 1;
}
.menu-content-wrapper .menu-price {
  color: var(--accent-color);
  padding: 0.8rem 0;
  margin-bottom: 0.8rem;
  border-bottom: 1px dotted var(--soft-border);
  font-size: 1.2rem;
  font-family: var(--poppins);
}
.menu-card:hover h3 {
  color: var(--accent-color);
  transform: translateX(10px);
}
.menu-card:hover img {
  transform: scale(1.1);
}

.meal-heading h4 {
  font-size: 2.5em;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 3px;
  color: var(--text-color);
  font-family: var(--poppins);
  margin: 0;
}
.meal-heading p {
  color: var(--accent-color);
  font-weight: 600;
  font-size: 1.25rem;
  margin: 0;
}
.menu-details-heading > h3 {
  font-size: 2rem;
  font-weight: 600;
  color: var(--text-color);
  margin: 0;
}
.menu-details-heading > .price {
  font-size: 1.25rem;
  padding: 1rem 0;
  color: var(--accent-color);
}
.menu-details-heading > p {
  margin: 0;
}
.menu-details-section {
  padding-bottom: var(--section-padding);
}
.place-common-img {
  height: 240px;
  border-radius: 10px;
  width: 100%;
  object-fit: cover;
}
.common-place-img {
  height: 320px;
  border-radius: 10px;
  width: 100%;
  object-fit: cover;
}
.radius {
  border-radius: 10px;
}
/* 
===============================
MENU PAGE CSS ENDS
=============================== */

/* Footer css  */
footer {
  background-color: var(--footer-bg);
  color: var(--white-color);
  padding-bottom: clamp(24px, 3vw, 32px);
  padding-top: 240px;
}
.footer-logo-div h3 {
  font-size: 3rem;
  font-weight: 700;
  margin-bottom: 16px;
}
.footer-logo-div p {
  margin-bottom: 16px;
  font-size: clamp(1rem, 1.2vw, 1.2rem);
}
.footer-logo-div a {
  font-size: 1.25rem;
}
.footer-logo-div a:hover {
  color: var(--accent-color);
}
.footer-copyright span {
  padding: 0 4px;
}
/* Footer css ends */

/* ===================================
RESPONSIVE CSS 
======================================= */
@media (max-width: 1280px) {
  .hiring-tag-link a {
    max-width: 600px;
    width: 96%;
  }
}
@media (max-width: 992px) {
  .offcanvas-header {
    background-color: transparent;
  }
  header {
    padding: 0 clamp(10px, 5vw, 44px);
  }
  .offcanvas-header h5 {
    font-size: 24px;
    font-weight: 900;
  }
  .offcanvas {
    background-color: var(--secondary-bg);
  }
  .navbar-nav .nav-link {
    padding: 0;
  }
  .navbar-nav {
    gap: 24px;
  }
  .offcanvas.offcanvas-end {
    border-left: 2px solid var(--accent-color);
  }
  .offcanvas-body,
  .offcanvas-header {
    padding: 16px 24px;
  }
  .concept-image-grid .image-wrapper {
    height: 240px;
  }
  .menu-place-heading .max-width {
    max-width: 900px;
  }
  .hero-section-wrapper {
    height: auto;
    min-height: 50vh;
    padding: 200px 0 180px 0;
  }
  .common-hero-banner-section {
    margin-top: 120px;
  }
}
@media (max-width: 768px) {
  .menu-place-showcase-section-wrapper .menu-link-wrapper .menu-link {
    height: 320px;
    border-radius: 0;
    border-top-right-radius: 30px;
  }
  .menu-place-showcase-section-wrapper .menu-link-wrapper .place-link {
    border-radius: 0;
    height: 320px;
    border-bottom-left-radius: 30px;
  }
  .map-wrapper {
    height: 420px;
  }
  .hero-section-wrapper {
    min-height: 60vh;
  }
}
@media (max-width: 576px) {
  .place-description-section-wrapper .place-show-image {
    width: 85%;
  }
  .map-detail-wrapper table tr {
    display: flex;
    flex-direction: column;
    width: 100%;
  }
  .map-detail-wrapper table {
    width: 100%;
  }
  .map-detail-wrapper table tr th {
    background-color: var(--secondary-bg);
    width: 100%;
  }
  .map-detail-wrapper table tr td {
    width: 100%;
  }
  .reservation-buttons a {
    min-width: 280px;
  }
  .common-hero-banner-section {
    margin-top: 100px;
  }
}

.text-color {
  color: var(--accent-color);
}
